Retrieve a metering unit
GET
/api/v1/stations/:id Returns a single metering unit of the resource provider by its identifier.
Path parameters
id integer required Metering unit identifier.
The response contains the same fields as in List metering units,
returned as a single object in data.
Request
bash
curl -i \
--header "access-token: *********************" \
--header "token-type: Bearer" \
--header "client: **********************" \
--header "uid: user@local.net" \
--header "Content-Type: application/json" \
--request GET \
"https://uztgs.uz/api/v1/stations/91"js
const res = await fetch('https://uztgs.uz/api/v1/stations/91', {
headers: {
'access-token': '*********************',
'token-type': 'Bearer',
client: '**********************',
uid: 'user@local.net',
'Content-Type': 'application/json',
},
});
const data = await res.json();python
import requests
res = requests.get(
"https://uztgs.uz/api/v1/stations/91",
headers={
"access-token": "*********************",
"token-type": "Bearer",
"client": "**********************",
"uid": "user@local.net",
"Content-Type": "application/json",
},
)
data = res.json()go
req, _ := http.NewRequest("GET", "https://uztgs.uz/api/v1/stations/91", nil)
req.Header.Set("access-token", "*********************")
req.Header.Set("token-type", "Bearer")
req.Header.Set("client", "**********************")
req.Header.Set("uid", "user@local.net")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)php
$ch = curl_init("https://uztgs.uz/api/v1/stations/91");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"access-token: *********************",
"token-type: Bearer",
"client: **********************",
"uid: user@local.net",
"Content-Type: application/json",
]);
$data = json_decode(curl_exec($ch), true);Response
json
{
"data": {
"id": 91,
"name": "Gazdevice №0000014",
"equipment_type_id": 7,
"equipment_type_varname": "Type-J",
"equipment_brand_name": "Omega ETK R GSM",
"phone": "+998-97-725-12-28",
"equipment_id": 134,
"telemetry_id": 85,
"customer_id": 83,
"equipment_serial_number": "0000014",
"status_name_value": null,
"volume_value": "5.34",
"volume_unit": "m³",
"pressure_value": null,
"pressure_unit": "",
"temperature_value": "20.12",
"temperature_unit": "°C",
"last_seance_event_time": "1627801534",
"uid": "1234567891"
}
} Naposledy aktualizováno
Byla tato stránka užitečná?
Děkujeme za vaši zpětnou vazbu!
List metering units
Zpět
Retrieve object characteristics
Další